Bug 273176 - “Could not the open the file, Reason:Invalid file format” error is coming while opening a doc file
Summary: “Could not the open the file, Reason:Invalid file format” error is coming whi...
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: doc (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-13 09:46 UTC by swathi
Modified: 2011-05-24 13:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-05-13 09:46:39 UTC
Version: git checkout  15f2a481ef742bc6f0ded66ca854d29ae6f712ac
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in ms word 2003 format .Open the same document in calligra words.
Test data Link:http://delhihighcourt.nic.in/rec04042008.doc

Expected outcome:
Document should be opened.

Actual outcome:
 “Could not the open the file, Reason:Invalid file format” error dialog box is coming.

Frequency:
Always.
Comment 1 Matus Uzak 2011-05-13 10:41:37 UTC
There's still some fine tuning needed.  I'm using kofficetests and like 200 real life test files and there are still false positives.  I need more, More, MORE test files. :)
Comment 2 Matus Uzak 2011-05-16 11:11:34 UTC
Git commit 77ed36f95fe3ea60bb62368a00db461b66d088a5 by Matus Uzak.
Committed on 16/05/2011 at 11:07.
Pushed by uzak into branch 'master'.

libmso: Relaxed storage validation in POLE.

There were false positives reported for the invalid file format classification.
Word8 documents to be specific.  Of course those do not follow the Compound
File Binary File Format.

BUG:273176

M  +4    -4    filters/libmso/pole.cpp     
M  +4    -1    filters/words/msword-odf/msdoc.h     
M  +2    -1    filters/words/msword-odf/wv2/src/parserfactory.cpp     

http://commits.kde.org/calligra/77ed36f95fe3ea60bb62368a00db461b66d088a5
Comment 3 swathi 2011-05-24 13:53:30 UTC
Verified in 5afdc09e3e61f1ea303115a8a35d412a710cb52f.